# -*- coding: utf-8 -*-

import objectpack

import models


class PersonPack(objectpack.ObjectPack):
    """
    Действия для работы с книгами
    """
    model = models.Person

    fullname_fields = ('surname', 'name', 'middle_name')

    columns = [
        {
            'data_index': 'fullname',
            'header': u'ФИО',
            'sortable': True,
            'sort_fields': fullname_fields,
            'searchable': True,
            'search_fields': fullname_fields,
        },
        {
            'data_index': 'date_of_birth',
            'header': u'Дата рождения',
            'sortable': True,
            'searchable': True,
            'fixed': True,
            'width': 100,
        }
    ]

    list_sort_order = fullname_fields

    add_to_menu = add_to_desktop = True

    add_window = edit_window = (
        objectpack.ModelEditWindow.fabricate(model=model)
    )
